Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Text
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls


<DefaultProperty("Text"), _
ToolboxData("<{0}:ServerControl1 runat=server></{0}:ServerControl1>")> _
Public Class ServerControl39
    Inherits System.Web.UI.WebControls.WebControl

    Private _bookid As Guid

    <Bindable(True)> _
    <Category("Appearance")> _
    <DefaultValue("")> _
    <TypeConverter(GetType(GuidConverter))> _
    Property BookId() As System.Guid
        Get
            Return _bookid
        End Get

        Set(ByVal Value As System.Guid)
            _bookid = Value
        End Set
    End Property


    Protected Overrides Sub RenderContents(ByVal output As HtmlTextWriter)
        output.Write(BookId.ToString())
    End Sub

End Class

